/* PPP1風 テーマ用 CSSファイル */

body {
    color: #444;
}

h3 {
    border-bottom: 2px dotted #555;
    margin-bottom: 0.5em;
}

a {
    text-decoration: none;
    color: var(--link-color, #888);
}

a:hover {
    text-decoration: underline;
    color: var(--link-hover-color, #aaa);
}

body {
    background-color: #eee;
    position: relative;
}

.main-container {
    max-width: 1200px;
    margin: 0 auto;
    background-color: #fff;
    min-height: 100vh;
}

.site-header {
    position: relative;
    width: 100%;
}

.top-banner {
    position: relative;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.top-banner-overlay {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    margin: 0;

    color: var(--site-title-color, #fff);
    text-shadow: 0 2px 8px rgba(0, 0, 0, 0.6);

}

.top-banner-noimage {
    width: 100%;
    height: 200px;
    background-color: var(--site-image-color, #999);
    display: grid;
    place-content: center;

    -webkit-text-stroke: 2px #fff;
    paint-order: stroke;
    text-stroke: 2px #fff;
}

.author-infomation {
    position: relative;
    display: flex;
}

.author-icon {
    margin-left: 25px;
    position: relative;
    top: -15px;

    border: 3px solid #fff;
    border-radius: 100px;
    height: 100px;
    width: 100px;
    overflow: hidden;
}

.author-icon img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.authoer-infomation-inner {
    margin-left: 10px;
}

.p-sns-icon {
    margin-top: 13px;
    margin-right: 5px;
    font-size: 32px;
    width: 32px;
    height: auto;
}

ul.home-menu {
    list-style: none;
    display: flex;
    width: 100%;
    overflow: auto;
    justify-content: center;
}

.home-menu-item {
    margin-left: 1em;
    margin-right: 1em;
    font-size: 1.2rem;
    text-wrap: nowrap;
}

.home-menu-item a {
    color: #888;
    text-decoration: none;
}

.home-menu-item a:hover {
    color: #aaa;
    text-decoration: underline;
}

.home-menu-item-current {
    border-bottom: 2px solid #444;
}

.main-contents {
    padding: 25px 25px 100px 25px;
}

.global-footer {
    position: absolute;
    bottom: 0;
    padding: 25px;
}

.pagination {
    margin-top: 1rem;
    font-size: 1.5rem;
    font-weight: 600;


}

.pagination_current {
    font-size: 1.8rem;
}


@scope(.p-log-list) {

    .thumbnails {
        margin-top: 30px;
    }

    .thumbnails ul {
        list-style: none;
        width: 100%;

        display: flex;
        flex-wrap: wrap;
        justify-content: center;
    }

    .thumbnail {
        position: relative;
        width: var(--thumbnail-width, 150px);
        margin: 5px;

        overflow: hidden;
        text-overflow: ellipsis;
    }

    .thumbnail-item {
        position: relative;
        width: var(--thumbnail-width, 150px);
        height: var(--thumbnail-height, 150px);
        border: 1px solid #999;
    }

    .thumnail-title {
        text-wrap: nowrap;
        font-weight: 600;
    }

    .thumbnail-item img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        object-position: center;
    }

    .thumbnail-info {
        position: absolute;
        top: 0;
        left: 0;
        width: var(--thumbnail-width, 150px);
        height: var(--thumbnail-height, 150px);
        padding: 10px;
        display: grid;
        place-content: center;
    }

    .pin-icon {
        position: absolute;
        right: 8px;
        bottom: 8px;
        z-index: 2;

        width: 18px;
        height: 18px;
        cursor: pointer;

        background-image: url("./system_resource/pinimage.png");
        background-size: cover;

        opacity: 0.8;
    }

    .multi-icon {
        position: absolute;
        left: 8px;
        bottom: 8px;
        z-index: 2;

        width: 18px;
        height: 18px;
        cursor: pointer;

        background-image: url("./system_resource/multiimage.png");
        background-size: cover;

        opacity: 0.8;
    }
}

.pagination {
    text-align: center;
}

/* 固定メニュー */
.p-home-menu {
    list-style: none;
    display: flex;
    width: 100%;
    overflow: auto;
    justify-content: center;
}

.p-home-menu-item {
    margin-left: 1em;
    margin-right: 1em;
    font-size: 1.2rem;
    text-wrap: nowrap;
}

.p-home-menu-item a {
    color: var(--link-color, #777);
    text-decoration: none;
}

.p-home-menu-item a:hover {
    color: var(--link-hover-color, #999);
    text-decoration: underline;
}

.p-home-menu-item-current {
    border-bottom: 2px solid var(--base-text-color, #333);
}